Tspi_Context_LoadKeyByBlob(3)

TCG Software Stack Developers Reference

NAME
Tspi_Context_LoadKeyByBlob - load a key into the TPM using the key's blob.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Context_LoadKeyByBlob(TSS_HCONTEXT hContext,     TSS_HKEY hUnwrappingKey,
                                      UINT32       ulBlobLength, BYTE*    rgbBlobData,
                                      TSS_HKEY*    phKey);

DESCRIPTION

Tspi_Context_LoadKeyByBlob creates a key based on the information gotten by the key blob. It then loads the key into the TPM, which unwraps the key blob by using the key associated with hUnwrappingKey. The key blob addressed by hUnwrappingKey must have been already loaded into the TPM. This function returns a handle to the created key object.

PARAMETERS

  hContext
The hContext parameter is the handle of the context object.

  hUnwrappingKey
The hUnwrappingKey parameter is the handle of the key object which should be used to unwrap the key information associated with rgbBlobData.

  rgbBlobData
The rgbBlobData parameter is the wrapped key to load.

  phKey
The phKey parameter receives the handle of the key object representing the loaded key.

RETURN CODES

Tspi_Context_LoadKeyByBlob returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hContext is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_Context_LoadKeyByBlob conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Context_LoadKeyByUUID(3), Tspi_Policy_SetSecret(3), Tspi_GetPolicyObject(3), Tspi_Key_CreateKey(3), Tspi_GetAttribUint32(3).